YUI().use('node', 'datatable-mutable', 'webui', function(Y) {

  var url_prefix = "/api/";
  var uri = 'api_example.json';

  Y.webui.make_main_table('#table');

  Y.delegate('click', function(e) {
    var target = e.currentTarget;
    var id = target.ancestor('tr').get('id');
    var ticket_id = this.getRecord(id).get('ticket_id');
    var url = "/ticket.html?ticket_id=" + ticket_id;

    location = url;
  }, '#table', 'td', Y.webui.main_table); 

  Y.webui.get_config();
  Y.webui.get_tickets();

  var refresh_rate = Y.one("#refresh_rate");
  refresh_timeout = null;
  refresh_rate.on('change', function(e) {
    var value = refresh_rate.get('value');
    if (refresh_timeout) {
      clearTimeout(refresh_timeout);
    }
    interval = parseInt(value) * 1000;
    Y.webui.update_tickets();
  });

});

/* Unit tests */
YUI().use('webui', function(Y) {

});
